org.eclipse.cdt.core.settings.model.util

## Class UserAndDiscoveredEntryLanguageData.UserAndDiscoveredEntryLanguageDataEntryStorage

- java.lang.Object
- - org.eclipse.cdt.core.settings.model.util.AbstractEntryStorage
  - - org.eclipse.cdt.core.settings.model.util.UserAndDiscoveredEntryStorage
    - - org.eclipse.cdt.core.settings.model.util.UserAndDiscoveredEntryLanguageData.UserAndDiscoveredEntryLanguageDataEntryStorage

Enclosing class:
  UserAndDiscoveredEntryLanguageData

    public static class UserAndDiscoveredEntryLanguageData.UserAndDiscoveredEntryLanguageDataEntryStorage
    extends UserAndDiscoveredEntryStorage

### Constructor Summary

Constructors
Constructor and Description
`UserAndDiscoveredEntryLanguageDataEntryStorage(int kind, UserAndDiscoveredEntryLanguageData lData)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected boolean` `canDisableDiscoveredEntries()`
`protected ICLanguageSettingEntry[]` `getDiscoveredEntries(Set<String> disabledNameSet)`
`protected ICLanguageSettingEntry[]` `getUserEntries()`
`protected void` `setDisabledDiscoveredNames(Set<String> disabledNameSet)`
`protected void` `setUserEntries(ICLanguageSettingEntry[] entries)`

### Methods inherited from class org.eclipse.cdt.core.settings.model.util.UserAndDiscoveredEntryStorage

`createEmptySettings, obtainEntriesFromLevel, putEntriesToLevel`

### Methods inherited from class org.eclipse.cdt.core.settings.model.util.AbstractEntryStorage

`getEntries, getKind, initCache, macroNameValueFromValue, resetDefaults, setEntries`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UserAndDiscoveredEntryLanguageDataEntryStorage

    public UserAndDiscoveredEntryLanguageDataEntryStorage(int kind,
                                                          UserAndDiscoveredEntryLanguageData lData)

### Method Detail

#### getDiscoveredEntries

    protected ICLanguageSettingEntry[] getDiscoveredEntries(Set<String> disabledNameSet)

Specified by:
  `getDiscoveredEntries` in class `UserAndDiscoveredEntryStorage`

#### getUserEntries

    protected ICLanguageSettingEntry[] getUserEntries()

Specified by:
  `getUserEntries` in class `UserAndDiscoveredEntryStorage`

#### setDisabledDiscoveredNames

    protected void setDisabledDiscoveredNames(Set<String> disabledNameSet)

Specified by:
  `setDisabledDiscoveredNames` in class `UserAndDiscoveredEntryStorage`

#### setUserEntries

    protected void setUserEntries(ICLanguageSettingEntry[] entries)

Specified by:
  `setUserEntries` in class `UserAndDiscoveredEntryStorage`

#### canDisableDiscoveredEntries

    protected boolean canDisableDiscoveredEntries()

Overrides:
  `canDisableDiscoveredEntries` in class `UserAndDiscoveredEntryStorage`